--- title: "Truncate Table" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/truncate-table/ description: "This API enables you to truncate a specific table in the Data Store." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Truncate a Table ### Description This API enables you to truncate a specific table in the [Data Store](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/introduction), by referring to the table's unique ID or name. The truncate operation deletes all the records in the table, while retaining its schema. The columns of the table and the table's metadata will still be available, after the operation has ended. You will receive notifications in your Catalyst console about the updates of the operation. ### Request Details #### Request URL `DELETE` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/truncate - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **tableIdentifier** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/tables/#create-a-new-table) of the table or table name #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.rows.DELETE ### Response Details The response will return the status of the truncate operation. **Sample Request** ```bash curl -X DELETE \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/NewsHeadlines/truncate \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": "The table will be truncated Shortly. Kindly Check Notification bar for updates" } ```